<?php

namespace Bcscoder\Terravenue\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Bcscoder\Terravenue\Interfaces\VenueRepositoryInterface;

class VenuePublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Bcscoder\Venue\Interfaces\VenueRepositoryInterface $venue
     *
     * @return type
     */
    public function __construct(VenueRepositoryInterface $venue)
    {
        $this->model = $venue;
        parent::__construct();
    }

    /**
     * Show venue's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $venues = $this->model->all();

        return $this->theme->of('terravenue::public.venue.index', compact('venues'))->render();
    }

    /**
     * Show venue.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $venue = $this->model->findBySlug($slug);

        return $this->theme->of('terravenue::public.venue.show', compact('venue'))->render();
    }
}
